<?php
/**
 * Banner Section
 *
 * @package Prime Mag
 */

$wp_customize->add_section(
	'prime_mag_banner_section',
	array(
		'panel' => 'prime_mag_front_page_options',
		'title' => esc_html__( 'Banner Section', 'prime-mag' ),
	)
);

// Banner Section - Enable Section.
$wp_customize->add_setting(
	'prime_mag_enable_banner_section',
	array(
		'default'           => false,
		'sanitize_callback' => 'prime_mag_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Prime_Mag_Toggle_Switch_Custom_Control(
		$wp_customize,
		'prime_mag_enable_banner_section',
		array(
			'label'    => esc_html__( 'Enable Banner Section', 'prime-mag' ),
			'section'  => 'prime_mag_banner_section',
			'settings' => 'prime_mag_enable_banner_section',
		)
	)
);

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'prime_mag_enable_banner_section',
		array(
			'selector' => '#prime_mag_banner_section .section-link',
			'settings' => 'prime_mag_enable_banner_section',
		)
	);
}

// Banner Section - Slider Heading.
$wp_customize->add_setting(
	'prime_mag_banner_section_area',
	array(
		'sanitize_callback' => 'wp_kses_post',
	)
);

$wp_customize->add_control(
	new Prime_Mag_Title_Control(
		$wp_customize,
		'prime_mag_banner_section_area',
		array(
			'label'           => __( 'Banner Slider Settings', 'prime-mag' ),
			'section'         => 'prime_mag_banner_section',
			'settings'        => 'prime_mag_banner_section_area',
			'active_callback' => 'prime_mag_is_banner_section_enabled',
		)
	)
);

// Banner Section - Main News Content Type.
$wp_customize->add_setting(
	'prime_mag_main_news_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'prime_mag_sanitize_select',
	)
);

$wp_customize->add_control(
	'prime_mag_main_news_content_type',
	array(
		'label'           => esc_html__( 'Select Content Type', 'prime-mag' ),
		'section'         => 'prime_mag_banner_section',
		'settings'        => 'prime_mag_main_news_content_type',
		'type'            => 'select',
		'active_callback' => 'prime_mag_is_banner_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'prime-mag' ),
			'category' => esc_html__( 'Category', 'prime-mag' ),
		),
	)
);

for ( $i = 1; $i <= 3; $i++ ) {
	// Banner Section - Select Post.
	$wp_customize->add_setting(
		'prime_mag_main_news_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'prime_mag_main_news_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'prime-mag' ), $i ),
			'section'         => 'prime_mag_banner_section',
			'settings'        => 'prime_mag_main_news_content_post_' . $i,
			'active_callback' => 'prime_mag_is_main_news_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => prime_mag_get_post_choices(),
		)
	);

}

// Banner Section - Select Category.
$wp_customize->add_setting(
	'prime_mag_main_news_content_category',
	array(
		'sanitize_callback' => 'prime_mag_sanitize_select',
	)
);

$wp_customize->add_control(
	'prime_mag_main_news_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'prime-mag' ),
		'section'         => 'prime_mag_banner_section',
		'settings'        => 'prime_mag_main_news_content_category',
		'active_callback' => 'prime_mag_is_main_news_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => prime_mag_get_post_cat_choices(),
	)
);

// Banner Section - Featured News Heading.
$wp_customize->add_setting(
	'prime_mag_featured_news_area',
	array(
		'sanitize_callback' => 'wp_kses_post',
	)
);

$wp_customize->add_control(
	new Prime_Mag_Title_Control(
		$wp_customize,
		'prime_mag_featured_news_area',
		array(
			'label'           => __( 'Featured News Settings', 'prime-mag' ),
			'section'         => 'prime_mag_banner_section',
			'settings'        => 'prime_mag_featured_news_area',
			'active_callback' => 'prime_mag_is_banner_section_enabled',
		)
	)
);

// Banner Section - Featured News Content Type.
$wp_customize->add_setting(
	'prime_mag_featured_news_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'prime_mag_sanitize_select',
	)
);

$wp_customize->add_control(
	'prime_mag_featured_news_content_type',
	array(
		'label'           => esc_html__( 'Select Content Type', 'prime-mag' ),
		'section'         => 'prime_mag_banner_section',
		'settings'        => 'prime_mag_featured_news_content_type',
		'type'            => 'select',
		'active_callback' => 'prime_mag_is_banner_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'prime-mag' ),
			'category' => esc_html__( 'Category', 'prime-mag' ),
		),
	)
);

for ( $i = 1; $i <= 4; $i++ ) {
	// Banner Section - Select Post.
	$wp_customize->add_setting(
		'prime_mag_featured_news_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'prime_mag_featured_news_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'prime-mag' ), $i ),
			'section'         => 'prime_mag_banner_section',
			'settings'        => 'prime_mag_featured_news_content_post_' . $i,
			'active_callback' => 'prime_mag_is_featured_news_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => prime_mag_get_post_choices(),
		)
	);

}

// Banner Section - Select Category.
$wp_customize->add_setting(
	'prime_mag_featured_news_content_category',
	array(
		'sanitize_callback' => 'prime_mag_sanitize_select',
	)
);

$wp_customize->add_control(
	'prime_mag_featured_news_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'prime-mag' ),
		'section'         => 'prime_mag_banner_section',
		'settings'        => 'prime_mag_featured_news_content_category',
		'active_callback' => 'prime_mag_is_featured_news_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => prime_mag_get_post_cat_choices(),
	)
);

// Banner Section - Editor Choice Heading.
$wp_customize->add_setting(
	'prime_mag_editor_choice_area',
	array(
		'sanitize_callback' => 'wp_kses_post',
	)
);

$wp_customize->add_control(
	new Prime_Mag_Title_Control(
		$wp_customize,
		'prime_mag_editor_choice_area',
		array(
			'label'           => __( 'Editor Choice Settings', 'prime-mag' ),
			'section'         => 'prime_mag_banner_section',
			'settings'        => 'prime_mag_editor_choice_area',
			'active_callback' => 'prime_mag_is_banner_section_enabled',
		)
	)
);

// Banner Section - Editor Choice Content Type.
$wp_customize->add_setting(
	'prime_mag_editor_choice_content_type',
	array(
		'default'           => 'post',
		'sanitize_callback' => 'prime_mag_sanitize_select',
	)
);

$wp_customize->add_control(
	'prime_mag_editor_choice_content_type',
	array(
		'label'           => esc_html__( 'Select Content Type', 'prime-mag' ),
		'section'         => 'prime_mag_banner_section',
		'settings'        => 'prime_mag_editor_choice_content_type',
		'type'            => 'select',
		'active_callback' => 'prime_mag_is_banner_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'prime-mag' ),
			'category' => esc_html__( 'Category', 'prime-mag' ),
		),
	)
);

for ( $i = 1; $i <= 2; $i++ ) {
	// Banner Section - Select Post.
	$wp_customize->add_setting(
		'prime_mag_editor_choice_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'prime_mag_editor_choice_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'prime-mag' ), $i ),
			'section'         => 'prime_mag_banner_section',
			'settings'        => 'prime_mag_editor_choice_content_post_' . $i,
			'active_callback' => 'prime_mag_is_editor_choice_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => prime_mag_get_post_choices(),
		)
	);

}

// Banner Section - Select Category.
$wp_customize->add_setting(
	'prime_mag_editor_choice_content_category',
	array(
		'sanitize_callback' => 'prime_mag_sanitize_select',
	)
);

$wp_customize->add_control(
	'prime_mag_editor_choice_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'prime-mag' ),
		'section'         => 'prime_mag_banner_section',
		'settings'        => 'prime_mag_editor_choice_content_category',
		'active_callback' => 'prime_mag_is_editor_choice_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => prime_mag_get_post_cat_choices(),
	)
);
